# $str.word Returns the nth word in a string
Usage
    $str.word(<n>,<string>)
Description
Returns the nth word inside the <string> (with n starting from 0!) A word is a substring not containing spaces (ASCII chars 32, carriage returns, tabs etc...). If the string contains less than n+1 words then an empty string is returned. This function is faster than a call to $split() and array indexing if you need a single word to be extracted from a complex string. If you need to manage more than one word from the string then the $split() method is more efficient. This function is a special case of $str.token() and it runs a bit faster.
Syntax Specification
    <string> $str.word(<n:int>,<string:string>)
Examples
        %test = "this is  a  string   full of  words"
        echo $str.word(4,%test)
See also
$str.token

Index, Functions

KVIrc 4.2.0.6190 Documentation
Generated by nobody at Thu May 29 11:24:48 2014